The missing class is Voxel_VisDrawer from Voxel_VisDrawer.cxx
see the doc : http://adl.serveftp.org/lab/opencascade/pdf/voxels_wp.pdf
The voxels are displayed by means of "direct drawing in Open GL"
technology or "user draw"
technology. Therefore, some visualization files are compiled within Open
CASCADE, but the files of
"direct drawing" are compiled by the end-user application (see the
articles dedicated to "user draw"
of Open CASCADE).
It is necessary to include the files Voxel_VisData.h, Voxel_VisDrawer.h
and Voxel_VisDrawer.cxx
into the visualization library of the application (containing all files
of OpenGl package) and call the
method Voxel_VisDrawer::Init() from the application before the
visualization of voxels.
So we need to add it into the current Display3d to be enable to view the
voxel but Voxel_VisDrawer is missing...
Le 17/03/2010 14:29, Jelle Feringa a écrit :
Interesting Sebastien!
Your feedback is nice & specific ( as always, cheers ;') but I'm
wondering whether you could post classes / methods that you find missing?
Thanks again,
-jelle
On Mar 17, 2010, at 1:27 PM, Sébastien Ramage wrote:
Hi,
I made some search about OpenCascade Voxel and finally I think that a
source file is missing in OpenCascade.
The documentation says :
It is necessary to include the files Voxel_VisData.h,
Voxel_VisDrawer.h and Voxel_VisDrawer.cxx
into the visualization library of the application (containing all
files of OpenGl package) and call the
method Voxel_VisDrawer::Init() from the application before the
visualization of voxels.
So if I understand it correctly we need to use a special viewer, but
where are Voxel_VisDrawer.cxx *.h ???
My test code :
#! -*- coding: utf-8 -*-
from OCC.Display.SimpleGui import *
from OCC import BRepPrimAPI
from OCC import Voxel
display, start_display, add_menu, add_function_to_menu = init_display()
box = BRepPrimAPI.BRepPrimAPI_MakeBox(10,10,20)
box_voxel = Voxel.Voxel_BoolDS()
Voxel.Voxel_FastConverter(box.Shape(),box_voxel)
visu = Voxel.Voxel_Prs()
visu.SetBoolVoxels(box_voxel)
##display.DisplayShape(box.Shape())
display.Context.Display(visu.GetHandle(),True)
start_display()
Seb
Le 16/03/2010 17:44, Thomas Paviot a écrit :
2010/3/16 Jelle Feringa <jelleferi...@gmail.com
<mailto:jelleferi...@gmail.com>>
> hum Voxel, yes it's a good idea, is there a example somewhere ?
Unchartered territory ;')
I suggest to grep the OCC forum?
This discussion could be interesting:
http://www.opencascade.org/org/forum/thread_15765/
Not a lot of help on the OCC forum side...
Thomas
_______________________________________________
Pythonocc-users mailing list
Pythonocc-users@gna.org
https://mail.gna.org/listinfo/pythonocc-users
_______________________________________________
Pythonocc-users mailing list
Pythonocc-users@gna.org <mailto:Pythonocc-users@gna.org>
https://mail.gna.org/listinfo/pythonocc-users
_______________________________________________
Pythonocc-users mailing list
Pythonocc-users@gna.org
https://mail.gna.org/listinfo/pythonocc-users
_______________________________________________
Pythonocc-users mailing list
Pythonocc-users@gna.org
https://mail.gna.org/listinfo/pythonocc-users